org.eclipse.aether.internal.impl

## Class DefaultDeployer

- java.lang.Object
- - org.eclipse.aether.internal.impl.DefaultDeployer

- All Implemented Interfaces:
    Deployer, Service

      @Named
      @Component(role=Deployer.class)
      public class DefaultDeployer
      extends Object
      implements Deployer, Service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDeployer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultDeployer` | `addMetadataGeneratorFactory(MetadataGeneratorFactory factory)`
    `DeployResult` | `deploy(RepositorySystemSession session, DeployRequest request)` Uploads a collection of artifacts and their accompanying metadata to a remote repository.
    `void` | `initService(ServiceLocator locator)` Provides the opportunity to initialize this service and to acquire other services for its operation from the locator.
    `DefaultDeployer` | `setFileProcessor(FileProcessor fileProcessor)`
    `DefaultDeployer` | `setLoggerFactory(LoggerFactory loggerFactory)`
    `DefaultDeployer` | `setMetadataGeneratorFactories(Collection<MetadataGeneratorFactory> metadataFactories)`
    `DefaultDeployer` | `setOfflineController(OfflineController offlineController)`
    `DefaultDeployer` | `setRemoteRepositoryManager(RemoteRepositoryManager remoteRepositoryManager)`
    `DefaultDeployer` | `setRepositoryConnectorProvider(RepositoryConnectorProvider repositoryConnectorProvider)`
    `DefaultDeployer` | `setRepositoryEventDispatcher(RepositoryEventDispatcher repositoryEventDispatcher)`
    `DefaultDeployer` | `setSyncContextFactory(SyncContextFactory syncContextFactory)`
    `DefaultDeployer` | `setUpdateCheckManager(UpdateCheckManager updateCheckManager)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDeployer

          public DefaultDeployer()

  - ### Method Detail

    - #### initService

          public void initService(ServiceLocator locator)

      Description copied from interface: `Service`
      Provides the opportunity to initialize this service and to acquire other services for its operation from the locator. A service must not save the reference to the provided service locator.
      Specified by:
        `initService` in interface `Service`
      Parameters:
        `locator` - The service locator, must not be `null`.

    - #### setLoggerFactory

          public DefaultDeployer setLoggerFactory(LoggerFactory loggerFactory)

    - #### setFileProcessor

          public DefaultDeployer setFileProcessor(FileProcessor fileProcessor)

    - #### setRepositoryEventDispatcher

          public DefaultDeployer setRepositoryEventDispatcher(RepositoryEventDispatcher repositoryEventDispatcher)

    - #### setRepositoryConnectorProvider

          public DefaultDeployer setRepositoryConnectorProvider(RepositoryConnectorProvider repositoryConnectorProvider)

    - #### setRemoteRepositoryManager

          public DefaultDeployer setRemoteRepositoryManager(RemoteRepositoryManager remoteRepositoryManager)

    - #### setUpdateCheckManager

          public DefaultDeployer setUpdateCheckManager(UpdateCheckManager updateCheckManager)

    - #### addMetadataGeneratorFactory

          public DefaultDeployer addMetadataGeneratorFactory(MetadataGeneratorFactory factory)

    - #### setMetadataGeneratorFactories

          public DefaultDeployer setMetadataGeneratorFactories(Collection<MetadataGeneratorFactory> metadataFactories)

    - #### setSyncContextFactory

          public DefaultDeployer setSyncContextFactory(SyncContextFactory syncContextFactory)

    - #### setOfflineController

          public DefaultDeployer setOfflineController(OfflineController offlineController)

    - #### deploy

          public DeployResult deploy(RepositorySystemSession session,
                            DeployRequest request)
                              throws DeploymentException

      Description copied from interface: `Deployer`
      Uploads a collection of artifacts and their accompanying metadata to a remote repository.
      Specified by:
        `deploy` in interface `Deployer`
      Parameters:
        `session` - The repository session, must not be `null`.
        `request` - The deployment request, must not be `null`.
      Returns:
        The deployment result, never `null`.
      Throws:
        `DeploymentException` - If any artifact/metadata from the request could not be deployed.
      See Also:
        `RepositorySystem.deploy(RepositorySystemSession, DeployRequest)`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.